* Now use config file value
[circ.git] / config.status
blob818fc39d027882166b4bcb76222c4dceb08adb3e
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE=1; export DUALCASE # for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
18 emulate sh
19 NULLCMD=:
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
23 setopt NO_GLOB_SUBST
24 else
25 case `(set -o) 2>/dev/null` in
26 *posix*) set -o posix ;;
27 esac
34 # PATH needs CR
35 # Avoid depending upon Character Ranges.
36 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits='0123456789'
40 as_cr_alnum=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
46 chmod +x conf$$.sh
47 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
48 PATH_SEPARATOR=';'
49 else
50 PATH_SEPARATOR=:
52 rm -f conf$$.sh
55 # Support unset when possible.
56 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
57 as_unset=unset
58 else
59 as_unset=false
63 # IFS
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
68 as_nl='
70 IFS=" "" $as_nl"
72 # Find who we are. Look in the path if we contain no directory separator.
73 case $0 in
74 *[\\/]* ) as_myself=$0 ;;
75 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
76 for as_dir in $PATH
78 IFS=$as_save_IFS
79 test -z "$as_dir" && as_dir=.
80 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
81 done
82 IFS=$as_save_IFS
85 esac
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x; then
89 as_myself=$0
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
93 { (exit 1); exit 1; }
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
99 done
100 PS1='$ '
101 PS2='> '
102 PS4='+ '
104 # NLS nuisances.
105 for as_var in \
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
108 LC_TELEPHONE LC_TIME
110 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C; export $as_var
112 else
113 ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
115 done
117 # Required to use basename.
118 if expr a : '\(a\)' >/dev/null 2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001; then
120 as_expr=expr
121 else
122 as_expr=false
125 if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
126 as_basename=basename
127 else
128 as_basename=false
132 # Name of the executable.
133 as_me=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
137 echo X/"$0" |
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
139 s//\1/
142 /^X\/\(\/\/\)$/{
143 s//\1/
146 /^X\/\(\/\).*/{
147 s//\1/
150 s/.*/./; q'`
152 # CDPATH.
153 $as_unset CDPATH
157 as_lineno_1=$LINENO
158 as_lineno_2=$LINENO
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
168 # case at line end.
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
172 sed -n '
174 /[$]LINENO/=
175 ' <$as_myself |
176 sed '
177 s/[$]LINENO.*/&-/
178 t lineno
180 :lineno
182 :loop
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
184 t loop
185 s/-\n.*//
186 ' >$as_me.lineno &&
187 chmod +x "$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
194 . "./$as_me.lineno"
195 # Exit status is that of the last command.
196 exit
200 if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
201 as_dirname=dirname
202 else
203 as_dirname=false
206 ECHO_C= ECHO_N= ECHO_T=
207 case `echo -n x` in
208 -n*)
209 case `echo 'x\c'` in
210 *c*) ECHO_T=' ';; # ECHO_T is single tab character.
211 *) ECHO_C='\c';;
212 esac;;
214 ECHO_N='-n';;
215 esac
217 if expr a : '\(a\)' >/dev/null 2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001; then
219 as_expr=expr
220 else
221 as_expr=false
224 rm -f conf$$ conf$$.exe conf$$.file
225 if test -d conf$$.dir; then
226 rm -f conf$$.dir/conf$$.file
227 else
228 rm -f conf$$.dir
229 mkdir conf$$.dir
231 echo >conf$$.file
232 if ln -s conf$$.file conf$$ 2>/dev/null; then
233 as_ln_s='ln -s'
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
239 as_ln_s='cp -p'
240 elif ln conf$$.file conf$$ 2>/dev/null; then
241 as_ln_s=ln
242 else
243 as_ln_s='cp -p'
245 rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
246 rmdir conf$$.dir 2>/dev/null
248 if mkdir -p . 2>/dev/null; then
249 as_mkdir_p=:
250 else
251 test -d ./-p && rmdir ./-p
252 as_mkdir_p=false
255 if test -x / >/dev/null 2>&1; then
256 as_test_x='test -x'
257 else
258 if ls -dL / >/dev/null 2>&1; then
259 as_ls_L_option=L
260 else
261 as_ls_L_option=
263 as_test_x='
264 eval sh -c '\''
265 if test -d "$1"; then
266 test -d "$1/.";
267 else
268 case $1 in
269 -*)set "./$1";;
270 esac;
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
273 '\'' sh
276 as_executable_p=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
285 exec 6>&1
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
290 ac_log="
291 This file was extended by Circ $as_me 0.1, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
298 $ $0 $@
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
303 # Files that config.status was made for.
304 config_files=" Circ.Backend.Cil/Makefile Tests/Makefile Circ.Backend.Cil/circ.backend.cil.pc Circ.Lib/circ.lib.pc CirC/Makefile Makefile Circ.Lib/Makefile Tests/tests.pc Circ.Frontend.GtkSharp/Makefile CirC/circ Circ.Frontend.GtkSharp/circ.frontend.gtksharp.pc"
306 ac_cs_usage="\
307 \`$as_me' instantiates files from templates according to the
308 current configuration.
310 Usage: $0 [OPTIONS] [FILE]...
312 -h, --help print this help, then exit
313 -V, --version print version number and configuration settings, then exit
314 -q, --quiet do not print progress messages
315 -d, --debug don't remove temporary files
316 --recheck update $as_me by reconfiguring in the same conditions
317 --file=FILE[:TEMPLATE]
318 instantiate the configuration file FILE
320 Configuration files:
321 $config_files
323 Report bugs to <bug-autoconf@gnu.org>."
325 ac_cs_version="\
326 Circ config.status 0.1
327 configured by ./configure, generated by GNU Autoconf 2.61,
328 with options \"'--enable-maintainer-mode'\"
330 Copyright (C) 2006 Free Software Foundation, Inc.
331 This config.status script is free software; the Free Software Foundation
332 gives unlimited permission to copy, distribute and modify it."
334 ac_pwd='/home/jeremie/CirCTemp'
335 srcdir='.'
336 INSTALL='/usr/bin/install -c'
337 MKDIR_P='/bin/mkdir -p'
338 # If no file are specified by the user, then we need to provide default
339 # value. By we need to know if files were specified by the user.
340 ac_need_defaults=:
341 while test $# != 0
343 case $1 in
344 --*=*)
345 ac_option=`expr "X$1" : 'X\([^=]*\)='`
346 ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
347 ac_shift=:
350 ac_option=$1
351 ac_optarg=$2
352 ac_shift=shift
354 esac
356 case $ac_option in
357 # Handling of the options.
358 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
359 ac_cs_recheck=: ;;
360 --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
361 echo "$ac_cs_version"; exit ;;
362 --debug | --debu | --deb | --de | --d | -d )
363 debug=: ;;
364 --file | --fil | --fi | --f )
365 $ac_shift
366 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
367 ac_need_defaults=false;;
368 --he | --h | --help | --hel | -h )
369 echo "$ac_cs_usage"; exit ;;
370 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
371 | -silent | --silent | --silen | --sile | --sil | --si | --s)
372 ac_cs_silent=: ;;
374 # This is an error.
375 -*) { echo "$as_me: error: unrecognized option: $1
376 Try \`$0 --help' for more information." >&2
377 { (exit 1); exit 1; }; } ;;
379 *) ac_config_targets="$ac_config_targets $1"
380 ac_need_defaults=false ;;
382 esac
383 shift
384 done
386 ac_configure_extra_args=
388 if $ac_cs_silent; then
389 exec 6>/dev/null
390 ac_configure_extra_args="$ac_configure_extra_args --silent"
393 if $ac_cs_recheck; then
394 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--enable-maintainer-mode' $ac_configure_extra_args " --no-create --no-recursion" >&6
395 CONFIG_SHELL=/bin/sh
396 export CONFIG_SHELL
397 exec /bin/sh "./configure" '--enable-maintainer-mode' $ac_configure_extra_args --no-create --no-recursion
400 exec 5>>config.log
402 echo
403 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
404 ## Running $as_me. ##
405 _ASBOX
406 echo "$ac_log"
407 } >&5
410 # Handling of arguments.
411 for ac_config_target in $ac_config_targets
413 case $ac_config_target in
414 "Circ.Backend.Cil/Makefile") CONFIG_FILES="$CONFIG_FILES Circ.Backend.Cil/Makefile" ;;
415 "Tests/Makefile") CONFIG_FILES="$CONFIG_FILES Tests/Makefile" ;;
416 "Circ.Backend.Cil/circ.backend.cil.pc") CONFIG_FILES="$CONFIG_FILES Circ.Backend.Cil/circ.backend.cil.pc" ;;
417 "Circ.Lib/circ.lib.pc") CONFIG_FILES="$CONFIG_FILES Circ.Lib/circ.lib.pc" ;;
418 "CirC/Makefile") CONFIG_FILES="$CONFIG_FILES CirC/Makefile" ;;
419 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
420 "Circ.Lib/Makefile") CONFIG_FILES="$CONFIG_FILES Circ.Lib/Makefile" ;;
421 "Tests/tests.pc") CONFIG_FILES="$CONFIG_FILES Tests/tests.pc" ;;
422 "Circ.Frontend.GtkSharp/Makefile") CONFIG_FILES="$CONFIG_FILES Circ.Frontend.GtkSharp/Makefile" ;;
423 "CirC/circ") CONFIG_FILES="$CONFIG_FILES CirC/circ" ;;
424 "Circ.Frontend.GtkSharp/circ.frontend.gtksharp.pc") CONFIG_FILES="$CONFIG_FILES Circ.Frontend.GtkSharp/circ.frontend.gtksharp.pc" ;;
426 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
427 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
428 { (exit 1); exit 1; }; };;
429 esac
430 done
433 # If the user did not use the arguments to specify the items to instantiate,
434 # then the envvar interface is used. Set only those that are not.
435 # We use the long form for the default assignment because of an extremely
436 # bizarre bug on SunOS 4.1.3.
437 if $ac_need_defaults; then
438 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
441 # Have a temporary directory for convenience. Make it in the build tree
442 # simply because there is no reason against having it here, and in addition,
443 # creating and moving files from /tmp can sometimes cause problems.
444 # Hook for its removal unless debugging.
445 # Note that there is a small window in which the directory will not be cleaned:
446 # after its creation but before its name has been assigned to `$tmp'.
447 $debug ||
449 tmp=
450 trap 'exit_status=$?
451 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
453 trap '{ (exit 1); exit 1; }' 1 2 13 15
455 # Create a (secure) tmp directory for tmp files.
458 tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
459 test -n "$tmp" && test -d "$tmp"
460 } ||
462 tmp=./conf$$-$RANDOM
463 (umask 077 && mkdir "$tmp")
464 } ||
466 echo "$me: cannot create a temporary directory in ." >&2
467 { (exit 1); exit 1; }
471 # Set up the sed scripts for CONFIG_FILES section.
474 # No need to generate the scripts if there are no CONFIG_FILES.
475 # This happens for instance when ./config.status config.h
476 if test -n "$CONFIG_FILES"; then
478 cat >"$tmp/subs-1.sed" <<\CEOF
479 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
480 s,@SHELL@,|#_!!_#|/bin/sh,g
481 s,@PATH_SEPARATOR@,|#_!!_#|:,g
482 s,@PACKAGE_NAME@,|#_!!_#|Circ,g
483 s,@PACKAGE_TARNAME@,|#_!!_#|circ,g
484 s,@PACKAGE_VERSION@,|#_!!_#|0.1,g
485 s,@PACKAGE_STRING@,|#_!!_#|Circ 0.1,g
486 s,@PACKAGE_BUGREPORT@,|#_!!_#|,g
487 s,@exec_prefix@,|#_!!_#|${prefix},g
488 s,@prefix@,|#_!!_#|/usr/local,g
489 s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
490 s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
491 s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
492 s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
493 s,@datarootdir@,|#_!!_#|${prefix}/share,g
494 s,@datadir@,|#_!!_#|${datarootdir},g
495 s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
496 s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
497 s,@localstatedir@,|#_!!_#|${prefix}/var,g
498 s,@includedir@,|#_!!_#|${prefix}/include,g
499 s,@oldincludedir@,|#_!!_#|/usr/include,g
500 s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
501 s,@infodir@,|#_!!_#|${datarootdir}/info,g
502 s,@htmldir@,|#_!!_#|${docdir},g
503 s,@dvidir@,|#_!!_#|${docdir},g
504 s,@pdfdir@,|#_!!_#|${docdir},g
505 s,@psdir@,|#_!!_#|${docdir},g
506 s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
507 s,@localedir@,|#_!!_#|${datarootdir}/locale,g
508 s,@mandir@,|#_!!_#|${datarootdir}/man,g
509 s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"Circ\\" -DPACKAGE_TARNAME=\\"circ\\" -DPACKAGE_VERSION=\\"0.1\\" -DPACKAGE_STRING=\\"Circ\\ 0.1\\" -DPACKAGE_BUGREPORT=\\"\\" -DPACKAGE=\\"circ\\" -DVERSION=\\"0.1\\",g
510 s,@ECHO_C@,|#_!!_#|,g
511 s,@ECHO_N@,|#_!!_#|-n,g
512 s,@ECHO_T@,|#_!!_#|,g
513 s,@LIBS@,|#_!!_#|,g
514 s,@build_alias@,|#_!!_#|,g
515 s,@host_alias@,|#_!!_#|,g
516 s,@target_alias@,|#_!!_#|,g
517 s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
518 s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
519 s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
520 s,@am__isrc@,|#_!!_#|,g
521 s,@CYGPATH_W@,|#_!!_#|echo,g
522 s,@PACKAGE@,|#_!!_#|circ,g
523 s,@VERSION@,|#_!!_#|0.1,g
524 s,@ACLOCAL@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run aclocal-1.10,g
525 s,@AUTOCONF@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run autoconf,g
526 s,@AUTOMAKE@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run automake-1.10,g
527 s,@AUTOHEADER@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run autoheader,g
528 s,@MAKEINFO@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run makeinfo,g
529 s,@install_sh@,|#_!!_#|$(SHELL) /home/jeremie/CirCTemp/install-sh,g
530 s,@STRIP@,|#_!!_#|,g
531 s,@INSTALL_STRIP_PROGRAM@,|#_!!_#|$(install_sh) -c -s,g
532 s,@mkdir_p@,|#_!!_#|/bin/mkdir -p,g
533 s,@AWK@,|#_!!_#|mawk,g
534 s,@SET_MAKE@,|#_!!_#|,g
535 s,@am__leading_dot@,|#_!!_#|.,g
536 s,@AMTAR@,|#_!!_#|${SHELL} /home/jeremie/CirCTemp/missing --run tar,g
537 s,@am__tar@,|#_!!_#|${AMTAR} chof - "$$tardir",g
538 s,@am__untar@,|#_!!_#|${AMTAR} xf -,g
539 s,@PKG_CONFIG@,|#_!!_#|/usr/bin/pkg-config,g
540 s,@GMCS@,|#_!!_#|/usr/local/bin/gmcs,g
541 s,@GTK_SHARP_20_CFLAGS@,|#_!!_#|-I:/usr/lib/pkgconfig/../../lib/pkgconfig/../../share/gapi-2.0/pango-api.xml -I:/usr/lib/pkgconfig/../../lib/pkgconfig/../../share/gapi-2.0/atk-api.xml -I:/usr/lib/pkgconfig/../../lib/pkgconfig/../../share/gapi-2.0/gdk-api.xml -I:/usr/lib/pkgconfig/../../lib/pkgconfig/../../share/gapi-2.0/gtk-api.xml ,g
542 s,@GTK_SHARP_20_LIBS@,|#_!!_#|-r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/pango-sharp.dll -r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/atk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gdk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/gtk-sharp.dll -r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll ,g
543 s,@GLIB_SHARP_20_CFLAGS@,|#_!!_#| ,g
544 s,@GLIB_SHARP_20_LIBS@,|#_!!_#|-r:/usr/lib/pkgconfig/../../lib/pkgconfig/../../lib/mono/gtk-sharp-2.0/glib-sharp.dll ,g
545 s,@NINI_11_CFLAGS@,|#_!!_#| ,g
546 s,@NINI_11_LIBS@,|#_!!_#|-r:/usr/lib/cli/nini-1.1/Nini.dll ,g
547 s,@MONO_ADDINS_CFLAGS@,|#_!!_#| ,g
548 s,@MONO_ADDINS_LIBS@,|#_!!_#|-r:/usr/local/lib/mono-addins/Mono.Addins.dll ,g
549 s,@ENABLE_DEBUG_TRUE@,|#_!!_#|,g
550 s,@ENABLE_DEBUG_FALSE@,|#_!!_#|#,g
551 s,@ENABLE_RELEASE_TRUE@,|#_!!_#|#,g
552 s,@ENABLE_RELEASE_FALSE@,|#_!!_#|,g
553 s,@LIBOBJS@,|#_!!_#|,g
554 s,@LTLIBOBJS@,|#_!!_#|,g
555 :end
556 s/|#_!!_#|//g
557 CEOF
558 fi # test -n "$CONFIG_FILES"
561 for ac_tag in :F $CONFIG_FILES
563 case $ac_tag in
564 :[FHLC]) ac_mode=$ac_tag; continue;;
565 esac
566 case $ac_mode$ac_tag in
567 :[FHL]*:*);;
568 :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
569 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
570 { (exit 1); exit 1; }; };;
571 :[FH]-) ac_tag=-:-;;
572 :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
573 esac
574 ac_save_IFS=$IFS
575 IFS=:
576 set x $ac_tag
577 IFS=$ac_save_IFS
578 shift
579 ac_file=$1
580 shift
582 case $ac_mode in
583 :L) ac_source=$1;;
584 :[FH])
585 ac_file_inputs=
586 for ac_f
588 case $ac_f in
589 -) ac_f="$tmp/stdin";;
590 *) # Look for the file first in the build tree, then in the source tree
591 # (if the path is not absolute). The absolute path cannot be DOS-style,
592 # because $ac_f cannot contain `:'.
593 test -f "$ac_f" ||
594 case $ac_f in
595 [\\/$]*) false;;
596 *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
597 esac ||
598 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
599 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
600 { (exit 1); exit 1; }; };;
601 esac
602 ac_file_inputs="$ac_file_inputs $ac_f"
603 done
605 # Let's still pretend it is `configure' which instantiates (i.e., don't
606 # use $as_me), people would be surprised to read:
607 # /* config.h. Generated by config.status. */
608 configure_input="Generated from "`IFS=:
609 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
610 if test x"$ac_file" != x-; then
611 configure_input="$ac_file. $configure_input"
612 { echo "$as_me:$LINENO: creating $ac_file" >&5
613 echo "$as_me: creating $ac_file" >&6;}
616 case $ac_tag in
617 *:-:* | *:-) cat >"$tmp/stdin";;
618 esac
620 esac
622 ac_dir=`$as_dirname -- "$ac_file" ||
623 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
624 X"$ac_file" : 'X\(//\)[^/]' \| \
625 X"$ac_file" : 'X\(//\)$' \| \
626 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
627 echo X"$ac_file" |
628 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
629 s//\1/
632 /^X\(\/\/\)[^/].*/{
633 s//\1/
636 /^X\(\/\/\)$/{
637 s//\1/
640 /^X\(\/\).*/{
641 s//\1/
644 s/.*/./; q'`
645 { as_dir="$ac_dir"
646 case $as_dir in #(
647 -*) as_dir=./$as_dir;;
648 esac
649 test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
650 as_dirs=
651 while :; do
652 case $as_dir in #(
653 *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
654 *) as_qdir=$as_dir;;
655 esac
656 as_dirs="'$as_qdir' $as_dirs"
657 as_dir=`$as_dirname -- "$as_dir" ||
658 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
659 X"$as_dir" : 'X\(//\)[^/]' \| \
660 X"$as_dir" : 'X\(//\)$' \| \
661 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
662 echo X"$as_dir" |
663 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
664 s//\1/
667 /^X\(\/\/\)[^/].*/{
668 s//\1/
671 /^X\(\/\/\)$/{
672 s//\1/
675 /^X\(\/\).*/{
676 s//\1/
679 s/.*/./; q'`
680 test -d "$as_dir" && break
681 done
682 test -z "$as_dirs" || eval "mkdir $as_dirs"
683 } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
684 echo "$as_me: error: cannot create directory $as_dir" >&2;}
685 { (exit 1); exit 1; }; }; }
686 ac_builddir=.
688 case "$ac_dir" in
689 .) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
691 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
692 # A ".." for each directory in $ac_dir_suffix.
693 ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
694 case $ac_top_builddir_sub in
695 "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
696 *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
697 esac ;;
698 esac
699 ac_abs_top_builddir=$ac_pwd
700 ac_abs_builddir=$ac_pwd$ac_dir_suffix
701 # for backward compatibility:
702 ac_top_builddir=$ac_top_build_prefix
704 case $srcdir in
705 .) # We are building in place.
706 ac_srcdir=.
707 ac_top_srcdir=$ac_top_builddir_sub
708 ac_abs_top_srcdir=$ac_pwd ;;
709 [\\/]* | ?:[\\/]* ) # Absolute name.
710 ac_srcdir=$srcdir$ac_dir_suffix;
711 ac_top_srcdir=$srcdir
712 ac_abs_top_srcdir=$srcdir ;;
713 *) # Relative name.
714 ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
715 ac_top_srcdir=$ac_top_build_prefix$srcdir
716 ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
717 esac
718 ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
721 case $ac_mode in
724 # CONFIG_FILE
727 case $INSTALL in
728 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
729 *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
730 esac
731 ac_MKDIR_P=$MKDIR_P
732 case $MKDIR_P in
733 [\\/$]* | ?:[\\/]* ) ;;
734 */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
735 esac
736 # If the template does not know about datarootdir, expand it.
737 # FIXME: This hack should be removed a few years after 2.60.
738 ac_datarootdir_hack=; ac_datarootdir_seen=
740 case `sed -n '/datarootdir/ {
744 /@datadir@/p
745 /@docdir@/p
746 /@infodir@/p
747 /@localedir@/p
748 /@mandir@/p
749 ' $ac_file_inputs` in
750 *datarootdir*) ac_datarootdir_seen=yes;;
751 *@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
752 { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
753 echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
754 ac_datarootdir_hack='
755 s&@datadir@&${datarootdir}&g
756 s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
757 s&@infodir@&${datarootdir}/info&g
758 s&@localedir@&${datarootdir}/locale&g
759 s&@mandir@&${datarootdir}/man&g
760 s&\${datarootdir}&${prefix}/share&g' ;;
761 esac
762 sed "/^[ ]*VPATH[ ]*=/{
763 s/:*\$(srcdir):*/:/
764 s/:*\${srcdir}:*/:/
765 s/:*@srcdir@:*/:/
766 s/^\([^=]*=[ ]*\):*/\1/
767 s/:*$//
768 s/^[^=]*=[ ]*$//
772 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
773 s&@configure_input@&$configure_input&;t t
774 s&@top_builddir@&$ac_top_builddir_sub&;t t
775 s&@srcdir@&$ac_srcdir&;t t
776 s&@abs_srcdir@&$ac_abs_srcdir&;t t
777 s&@top_srcdir@&$ac_top_srcdir&;t t
778 s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
779 s&@builddir@&$ac_builddir&;t t
780 s&@abs_builddir@&$ac_abs_builddir&;t t
781 s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
782 s&@INSTALL@&$ac_INSTALL&;t t
783 s&@MKDIR_P@&$ac_MKDIR_P&;t t
784 $ac_datarootdir_hack
785 " $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
787 test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
788 { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
789 { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
790 { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
791 which seems to be undefined. Please make sure it is defined." >&5
792 echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
793 which seems to be undefined. Please make sure it is defined." >&2;}
795 rm -f "$tmp/stdin"
796 case $ac_file in
797 -) cat "$tmp/out"; rm -f "$tmp/out";;
798 *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
799 esac
804 esac
806 done # for ac_tag
809 { (exit 0); exit 0; }